Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlevs.ede.impl
Class MonitoringProxy

    java.lang.Object
      |
      +--com.bea.wlevs.ede.impl.StageProxy
            |
            +--com.bea.wlevs.ede.impl.MonitoringProxy

public class MonitoringProxy
extends StageProxy
implements com.bea.wlevs.ede.MonitorableStage

Constructor Summary
`MonitoringProxy(EventSinkManager sender)`

Method Summary
`void` | `activate(StageConfig config)`
`Monitor` | `getMonitor()`
`Stream` | `getMonitoringStream()`
`com.bea.wlevs.ede.StatsManager` | `getStatsManager()`
`Clock` | `getSystemClock()`
`Object` | `invoke(MethodInvocation methodInvocation)`
`void` | `monitorEvents(boolean enable)`
`protected void` | `postAction(List newEvents, List oldEvents)`
`protected void` | `preAction(List newEvents, List oldEvents)`
`void` | `prepare(StageConfig config)`
`void` | `rollback(StageConfig config)`
`void` | `sendEvent(List newEvents, List oldEvents)`
`void` | `setApplicationIdentity(String applicationId)`
`void` | `setMonitor(Monitor monitor)`
`void` | `setMonitoringStream(Stream monitor)`
`void` | `setStageIdentity(String id)`
`void` | `setSystemClock(Clock systemClock)`

Methods inherited from class com.bea.wlevs.ede.impl.StageProxy
`addEventSink, getEventSinkManager, getEventSinks, removeEventSink, setEventSink`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MonitoringProxy

    public MonitoringProxy(EventSinkManager sender)

Method Detail

### getMonitoringStream

    public Stream getMonitoringStream()

### setMonitoringStream

    public void setMonitoringStream(Stream monitor)

### getMonitor

    public Monitor getMonitor()

### setMonitor

    public void setMonitor(Monitor monitor)

### getSystemClock

    public Clock getSystemClock()

### setSystemClock

    public void setSystemClock(Clock systemClock)

### getStatsManager

    public com.bea.wlevs.ede.StatsManager getStatsManager()

  Specified by:
    getStatsManager in interface com.bea.wlevs.ede.MonitorableStage

### preAction

    protected void preAction(List newEvents,
                             List oldEvents)

### postAction

    protected void postAction(List newEvents,
                              List oldEvents)

### monitorEvents

    public void monitorEvents(boolean enable)

### sendEvent

    public void sendEvent(List newEvents,
                          List oldEvents)
                   throws EventRejectedException

  Overrides:
    sendEvent in class StageProxy

### invoke

    public Object invoke(MethodInvocation methodInvocation)
                  throws Throwable

  Overrides:
    invoke in class StageProxy

### setStageIdentity

    public void setStageIdentity(String id)

### setApplicationIdentity

    public void setApplicationIdentity(String applicationId)

### prepare

    public void prepare(StageConfig config)

### activate

    public void activate(StageConfig config)

### rollback

    public void rollback(StageConfig config)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD